PartDesign Fillet/cs: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
Line 1: Line 1:


{{GuiCommand/cs|Name=PartDesign Fillet|Name/cs=PartDesign Fillet|Workbenches=[[PartDesign Workbench/cs|PartDesign]], Complete|MenuLocation=PartDesign → Fillet|SeeAlso=[[Part Fillet/cs|Part Fillet]]}}
{{GuiCommand|Name=PartDesign Fillet|Workbenches=[[PartDesign Workbench|PartDesign]], Complete|MenuLocation=PartDesign → Fillet|SeeAlso=[[Part Fillet|Part Fillet]]}}


=== Popis ===
==== Description ====
This tool creates fillets (rounds) on the selected edges of an object. A new separate Fillet entry (followed by a sequential number if there are already existing fillets in the document) is created in the Project tree.
Tento nástroj vytváří zaoblení na vybrané hraně objektu. Ve stromu projektu je vytvořena nová samostatné položka (následovaná pořadovým číslem jestliže v dokumentu už zaoblení existuje).


[[Image:PartDesign_Fillet-01.png|thumb|left|Vyberte hrany na objektu před tím než použijete tento nástroj.]]
[[Image:PartDesign_Fillet-01.png|thumb|left|Select edges on the object before starting the tool.]]
[[Image:PartDesign_Fillet-02.png|thumb|left|V parametrech Zaoblení nastavte poloměr zaoblení.]]
[[Image:PartDesign_Fillet-02.png|thumb|left|Set the fillet radius in the Fillet parameters.]]
[[Image:PartDesign_Fillet-03.png|thumb|left|Do stromu projektu je přidán objekt Zaoblení.]]
[[Image:PartDesign_Fillet-03.png|thumb|left|A Fillet object is added in the Project tree.]]
==== Použití ====
==== Usage ====
* Select a single or multiple edges on an object, then start the tool either by clicking its icon or going into the menu.
* Vyberte jednu nebo více hran objektu, potom spusťte tento nástroj buď kliknutím na jeho ikonu nebo výběrem v menu.
* In Fillet parameters in the TaskPanel, set the fillet radius either by entering the value, or by clicking on the up/down arrows. The applied fillet is shown in real time.
* Na panelu nástrojů v parametrech zaoblení nastavte poloměr zaoblení buď číslem nebo klikáním na šipky nahoru/dolu. Zadané zaoblení se zobrazí v reálném čase.
* Klikněte na OK pro potvrzení.
* Click OK to validate.
* For a chain of edges tangential to one another, one single edge can be selected; the fillet will propagate along the chain.
* Pro více zaoblení, která se vzájemně dotýkají (řetězec), může být vybrána jedna hrana; zaoblení se protáhne přes celý řetězec.
* To edit the fillet after the function has been validated, either double-click on the Fillet label in the Project tree, or right-click on it and select '''Edit Fillet'''.
* Chcete-li zaoblení po potvrzení dodatečně upravit, buď dvojklikněte na položku zaoblení ve stromu projektu nebo klikněte pravým tlačítkem na zaoblení a vyberte '''Edit Fillet''' (Úprava zaoblení).
==== Návrh dílu Zaoblení VS. Zaoblení dílu ====
==== PartDesign Fillet VS. Part Fillet ====
'''The PartDesign Fillet is not to be confused with its [[Part Fillet|Part workbench counterpart]]'''. Although they share the same icon, they are not the same, and are not used the same way.
'''Návrh dílu Zaoblení nelze zaměňovat s jeho [[Part Fillet|Protějškem na pracovní ploše Díl]]'''. Ačkoliv používají stejnou ikonu, není to to samé a ani nejsou stejně používány.
Here is how they differ from each other:
Zde je uvedeno čím se vzájemně liší:
* The PartDesign Fillet is ''parametric''. After a fillet has been applied, its radius can be edited; this is not possible with the Part Fillet.
* Návrh dílu Zaoblení je ''parametrické''. Po aplikaci zaoblení může být jeho poloměr upraven; to není možné u Zaoblení dílu.
* Edges must be selected on an object before activating the PartDesign Fillet. WIth the Part Fillet, the tool can be started, then a solid is selected, then edges.
* Hrany na objektu musí být vybrány před aktivací Návrh dílu Zaoblení. Při použití Zaoblení dílu může být nástroj spuštěn a potom teprve vybráno těleso a hrany.
* The PartDesign Fillet creates a separate Fillet entry (followed by a sequential number if there are already existing fillets) in the Project tree. The Part Fillet becomes the parent of the object it was applied to.
* Návrh dílu Zaoblení vytváří samostatný objekt ve stromu projektu (pokud je jich více, jsou sekvenčně očíslovány). Zaoblení dílu se stává rodičem objektu, na který bylo aplikováno.
* The PartDesign Fillet offers a live preview of the fillet applied to the object before validating the function.
* Návrh dílu Zaoblení nabízí náhled přidávaného zaoblení před tím než je potvrzeno.
* The Part Fillet supports variable radii (with a start radius and an end radius). The PartDesign fillet doesn't.
* Zaoblení dílu podporuje proměnný poloměr (s počátečním úhlem a koncovým úhlem). Návrh dílu Zaoblení to neumožňuje.
{{clear}}
{{clear}}


==Skriptování==
==Scripting==
Nástroj {{KEY|[[File:PartDesign_Fillet.png|16px|text-top=Fillet|link=PartDesign_Fillet]] [[ PartDesign_Fillet/cs|Návrh dílu Zaoblení]]}} může být použit v makru a z konzoly Pythonu použitím následující funkce:
The tool {{KEY|[[File:PartDesign_Fillet.png|16px|text-top=Fillet|link=PartDesign_Fillet]] [[ PartDesign_Fillet|Fillet]]}} can be used in a macro, and, from the Python console using the following function :
{{Code|code=
<syntaxhighlight>
Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
}}
</syntaxhighlight>


*3 = úhel
*3 = úhel
Line 36: Line 36:


Příklad:
Příklad:
{{Code|code=
<syntaxhighlight>
import PartDesign
import PartDesign
from FreeCAD import Base
from FreeCAD import Base
Line 44: Line 44:
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)
Part.show(Box)
}}
</syntaxhighlight>

{{clear}}
{{clear}}



Revision as of 16:20, 25 November 2016

PartDesign Fillet

Menu location
PartDesign → Fillet
Workbenches
PartDesign, Complete
Default shortcut
None
Introduced in version
-
See also
Part Fillet

Description

This tool creates fillets (rounds) on the selected edges of an object. A new separate Fillet entry (followed by a sequential number if there are already existing fillets in the document) is created in the Project tree.

Select edges on the object before starting the tool.
Set the fillet radius in the Fillet parameters.
A Fillet object is added in the Project tree.

Usage

  • Select a single or multiple edges on an object, then start the tool either by clicking its icon or going into the menu.
  • In Fillet parameters in the TaskPanel, set the fillet radius either by entering the value, or by clicking on the up/down arrows. The applied fillet is shown in real time.
  • Click OK to validate.
  • For a chain of edges tangential to one another, one single edge can be selected; the fillet will propagate along the chain.
  • To edit the fillet after the function has been validated, either double-click on the Fillet label in the Project tree, or right-click on it and select Edit Fillet.

PartDesign Fillet VS. Part Fillet

The PartDesign Fillet is not to be confused with its Part workbench counterpart. Although they share the same icon, they are not the same, and are not used the same way. Here is how they differ from each other:

  • The PartDesign Fillet is parametric. After a fillet has been applied, its radius can be edited; this is not possible with the Part Fillet.
  • Edges must be selected on an object before activating the PartDesign Fillet. WIth the Part Fillet, the tool can be started, then a solid is selected, then edges.
  • The PartDesign Fillet creates a separate Fillet entry (followed by a sequential number if there are already existing fillets) in the Project tree. The Part Fillet becomes the parent of the object it was applied to.
  • The PartDesign Fillet offers a live preview of the fillet applied to the object before validating the function.
  • The Part Fillet supports variable radii (with a start radius and an end radius). The PartDesign fillet doesn't.

Scripting

The tool text-top=Fillet Fillet can be used in a macro, and, from the Python console using the following function :

Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
  • 3 = úhel
  • Box.Edges[2] = Hrana s jejím číslem


Příklad:

import PartDesign
from FreeCAD import Base

Box = Part.makeBox(10,10,10)
Box = Box.makeFillet(3,[Box.Edges[0]]) # pour 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)